//===フォーカスアウト
$(document).on("change", ".eventscls90", function (e) {
  var me = $(this);
  if (e.bubbles == false) {
    return false;
  }
  var grp = $(this).closest(".scls90Grp");

  // 直近の１つ
  var scls90 = grp.find(".scls1")[0];
  var scls90nm = grp.find(".scls90nm")[0];

  if(scls90nm != null){  //undefindじゃない
    common.setValue($(scls90nm), "");
  }

  var $stpflg = $(this).data("stpflg"); //0=廃止可(デフォルト) 1=廃止可 2=マスタ無し可能
  if(!stringUtil.isValid($stpflg)) {
    $stpflg = '0';
  }

  var $cls90 = $(this).data("cls90");
  if(!stringUtil.isValid($cls90)) {
    alret("clsの指定がありません。");
    return true;
  }

  common.clearError(me);
  common.changeVal(me);

  if ($(this).val() == "") {
    me.trigger("clearChangeScls90", "");
    return true;
  }

  var me = $(this);

  var sendData = {};

  var inp = me.val();
  if ($cls90 == "N") {  //online識別子のみ大文字
    inp = inp.toUpperCase();
    $(this).val(inp);
  }

  sendData["tblnm"] = "afm90";
  sendData["cls"] = $cls90;
  sendData["scls1"] = inp;
  sendData["stpflg"] = $stpflg;

  common.postData(
    common.getApiUrl() + "getMstNm.php"
    , sendData
    , function (data) {
      // 特殊処理があれば
      var obj = JSON.parse(data);

      if(scls90nm != null) {  //undefindじゃない
        common.setValue($(scls90nm), obj.nm);
      }

      if (me.attr("regSuccess")) {
        me.trigger("regSuccess", obj);
      }
      me.trigger("afterChangeScls90", data);
    }
    , function (error) {
      if (me.attr("regError")) {
        $(me).val("");
        $(me).trigger("regError", [error, $(me)]);
      } else {
        $(me).val("");
        common.addError($(me), error.msg, null);
        me.trigger("errChangeScls90", error.msg);
      }
      $(me).focus();
    }
  );

  return false;
});
